/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.eingang.enterprise.entry;

import de.ozgcloud.eingang.enterprise.entry.EntryData.PostfachAddress;
import de.ozgcloud.eingang.enterprise.entry.EntryData.Servicekonto;

public class ServicekontoTestFactory {

	private static final String TYPE = "OSI";
	private static final String IDENTIFIER = "76f1ae54-1cf1-4ae1-c0b4-08d950d6cfc0";
	private static final String POSTFACH_TYPE = "privat";

	public static Servicekonto create() {
		return createBuilder().build();
	}

	public static Servicekonto.ServicekontoBuilder createBuilder() {
		return Servicekonto.builder()
				.type(TYPE)
				.postfachAddress(PostfachAddress.builder()
						.identifier(IDENTIFIER)
						.type(POSTFACH_TYPE)
						.build());

	}
}
