/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.eingang.formcycle;

import org.mapstruct.Mapper;
import org.mapstruct.Mapping;

import de.ozgcloud.eingang.common.formdata.FormData;
import de.ozgcloud.vorgang.common.grpc.GrpcFormDataMapper;

@Mapper(uses = GrpcFormDataMapper.class)
public interface FormCycleFormDataMapper {

	@Mapping(target = "antragsteller", ignore = true)
	@Mapping(target = "attachment", ignore = true)
	@Mapping(target = "attachments", ignore = true)
	@Mapping(target = "id", ignore = true)
	@Mapping(target = "numberOfAttachments", ignore = true)
	@Mapping(target = "numberOfRepresentations", ignore = true)
	@Mapping(target = "representation", ignore = true)
	@Mapping(target = "representations", ignore = true)
	@Mapping(target = "zustaendigeStelle.organisationseinheitenId", source = "header.organisationsEinheitId")
	@Mapping(target = "header.formEngineName", constant = "FormCycle")
	@Mapping(target = "header.createdAt", source = "header.receivedAt")
	FormData toFormData(FormCycleFormData fcFormData);
}
