#!/bin/bash
#
# Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
# Ministerpräsidenten des Landes Schleswig-Holstein
# Staatskanzlei
# Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
#
# Lizenziert unter der EUPL, Version 1.2 oder - sobald
# diese von der Europäischen Kommission genehmigt wurden -
# Folgeversionen der EUPL ("Lizenz");
# Sie dürfen dieses Werk ausschließlich gemäß
# dieser Lizenz nutzen.
# Eine Kopie der Lizenz finden Sie hier:
#
# https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
#
# Sofern nicht durch anwendbare Rechtsvorschriften
# gefordert oder in schriftlicher Form vereinbart, wird
# die unter der Lizenz verbreitete Software "so wie sie
# ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
# ausdrücklich oder stillschweigend - verbreitet.
# Die sprachspezifischen Genehmigungen und Beschränkungen
# unter der Lizenz sind dem Lizenztext zu entnehmen.
#


# Dev: https://kiel-afm.dev.by.ozg-cloud.de/ws/if
# Test: https://kiel-afm.test.by.ozg-cloud.de/ws/if

URL=http://localhost:9292/ws/if
if [ -n "$1" ]; then
	URL=$1
fi

echo "Send request to ${URL} ..."
echo

SCRIPT_DIR=$(cd $(dirname "${BASH_SOURCE[0]}") && pwd)

for file in ${SCRIPT_DIR}/vorgang-*.xml;
do
	curl -v --header "Content-Type: text/xml;charset=UTF-8" --data @$file ${URL};
done
