/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.eingang.intelliform;


import java.util.HashMap;
import java.util.Map;

public class CustomHeaderTestFactory {

	public static final String POSTFACH_ID = "postfach_id";
	public static final String VORNAME = "vorname";
	public static final String NACHNAME = "nachname";
	public static final String GEBURTSNAME = "geburtsname";
	public static final String GEBURTSORT = "geburtsort";
	public static final String EMAIL = "email";
	public static final String TELEFON = "telefon";
	public static final String STRASSE = "strasse";
	public static final String PLZ = "plz";
	public static final String ORT = "ort";

	public static Map<String, Object> create() {
		var map = new HashMap<String, Object>();
		map.put(CustomHeaderReader.HEADER_POSTFACH_ID, POSTFACH_ID);
		map.put(CustomHeaderReader.HEADER_VORNAME, VORNAME);
		map.put(CustomHeaderReader.HEADER_NACHNAME, NACHNAME);
		map.put(CustomHeaderReader.HEADER_GEBURTSNAME, GEBURTSNAME);
		map.put(CustomHeaderReader.HEADER_GEBURTSORT, GEBURTSORT);
		map.put(CustomHeaderReader.HEADER_EMAIL, EMAIL);
		map.put(CustomHeaderReader.HEADER_TELEFON, TELEFON);
		map.put(CustomHeaderReader.HEADER_STRASSE, STRASSE);
		map.put(CustomHeaderReader.HEADER_PLZ, PLZ);
		map.put(CustomHeaderReader.HEADER_ORT, ORT);
		return map;
	}

}
