/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.eingang.semantik.enginebased.formsolutions;

import static de.ozgcloud.eingang.semantik.enginebased.formsolutions.FormSolutionsEngineBasedAdapter.*;
import static de.ozgcloud.eingang.semantik.enginebased.formsolutions.FormSolutionsHeaderMapper.*;

import java.util.Map;
import java.util.UUID;

import de.ozgcloud.eingang.common.formdata.FormData;
import de.ozgcloud.eingang.semantik.enginebased.formsolutions.FormSolutionsHeaderMapper;

public class FormSolutionsHeaderTestFactory {

	public static final String FORM_NAME = "form name";
	public static final Object REQUEST_ID = "transaction id";
	public static final String POSTKORBHANDLE_VALUE = UUID.randomUUID().toString();

	public static FormData create() {
		return createBuilder().build();
	}

	public static FormData.FormDataBuilder createBuilder() {
		return FormData.builder()
				.formData(Map.of(
						ASSISTANT, Map.of(IDENTIFIER_KEY, FORM_NAME),
						TRANSACTION_ID, REQUEST_ID,
						FormSolutionsHeaderMapper.POSTKORBHANDLE, POSTKORBHANDLE_VALUE));
	}
}
