/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.eingang.semantik.formbased;

import java.util.Map;

import de.ozgcloud.eingang.common.formdata.FormData;

class DFoerdermittelFormDataTestFactory {

	static final String POSTFACH_ID = "4dd01647-b9d9-4775-1b50-08da3d83800a";
	static final String ORGANISATIONS_EINHEIT_ID = "9795669";

	static FormData create() {
		return createBuilder().build();
	}

	static FormData.FormDataBuilder createBuilder() {
		return FormData.builder()
				.formData(Map.of("Fachnachricht", createFachnachrichtMap()));
	}

	static Map<String, Object> createFachnachrichtMap() {
		return Map.of("InboxReference", "sh/sh/4dd01647-b9d9-4775-1b50-08da3d83800a",
				"MetaText1", ORGANISATIONS_EINHEIT_ID);
	}
}
